- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_param_container.h File Reference

Axis2 Param container interface. More...

`#include <axutil_utils.h>`
`#include <axutil_error.h>`
`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axutil_array_list.h>`
`#include <axutil_hash.h>`
`#include <axutil_qname.h>`
`#include <axutil_param.h>`

Go to the source code of this file.

## Typedefs
typedef struct axutil_param_container | axutil_param_container_t
## Functions
AXIS2_EXTERN axutil_param_container_t * | axutil_param_container_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_param_container_free_void_arg (void *param_container, const axutil_env_t *env)
AXIS2_EXTERN void | axutil_param_container_free (axutil_param_container_t *param_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_param_container_add_param (axutil_param_container_t *param_container, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axutil_param_container_get_param (axutil_param_container_t *param_container, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axutil_array_list_t * | axutil_param_container_get_params (axutil_param_container_t *param_container, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axutil_param_container_is_param_locked (axutil_param_container_t *param_container, const axutil_env_t *env, const axis2_char_t *param_name)

## Detailed Description

Axis2 Param container interface.